﻿using DapperORM;
using DapperORM.Common.Models;
using PushInfo.Act.IDAL;
using PushInfo.Act.Models.QueryResults;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushInfo.Act.DAL.MySql
{
    public class SelectItemDAL : BaseRepository<SelectItemDetail>, ISelectItemDAL
    {
        public SelectItemDAL() { }

        public ResultModel<IEnumerable<SelectItemDetail>> GetCycleDetail()
        {
            string sql = @"select Id,value,description,select_type from select_item_detail where is_deleted = 0";
            return QueryAsync<SelectItemDetail>(sql, new System.Collections.Generic.Dictionary<string, object>()).Result;
        }
    }
}
